blockquote, pre, code{
	&, & *{
		color: map.get($default-theme, ui-font) !important;
		color: var(--ui-font) !important;
		text-decoration:none !important;
	}
}

blockquote, pre{
	position:relative;
	padding:5px 5px 5px 35px;
	&::before{
		content:".";
		color:transparent;
		display:block;
		position:absolute;
		width:10px;
		height:100%;
		top:0;
		left:0;
		z-index:1;
	}
}

blockquote{
	background-color:map.get($default-theme, ui-alt);
	background-color:var(--ui-alt);
	&::before{
		background-color:map.get($default-theme, ui-color);
		background-color:var(--ui-color);
	}
}

pre{
	overflow-x: auto;
	overflow-y: hidden;
	background-color:map.get($default-theme, ui-color);
	background-color:var(--ui-color);
	&::before{
		background-color:map.get($default-theme, ui-alt);
		background-color:var(--ui-alt);
	}
}

code{
	background-color:map.get($default-theme, ui-color);
	background-color:var(--ui-color);
	padding:5px 10px;
}
